package ovh.herisson.thevoidroad;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.PlayerDeathEvent;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent.Result;
import org.bukkit.event.player.PlayerKickEvent.Cause;

import net.kyori.adventure.text.Component;

public class BanHourly implements Listener{

	@EventHandler
	public void banned(AsyncPlayerPreLoginEvent e){
		if(DatabaseManager.getInstance().hasDiedInHour(e.getUniqueId()))
			e.disallow(Result.KICK_BANNED, Component.text("Vous etes mort dans la dernière heure... Patientez la prochaine!"));
	}

	@EventHandler
	public void died(PlayerDeathEvent e){
		DatabaseManager.getInstance().setDeath(e.getPlayer().getUniqueId());
		e.setKeepInventory(true);
		e.setKeepLevel(false);
		e.getDrops().clear();
		e.getPlayer().kick(Component.text("Vous etes mort dans la dernière heure... Patientez la prochaine!"), Cause.BANNED);

		// Send death
		String link = DatabaseManager.getInstance().getConfig("discord-wh");
		if(!link.equals("")){
			DiscordWebhook discord = new DiscordWebhook(link);
			discord.setUsername("Ange de la mort");
			discord.setAvatarUrl("http://static.planetminecraft.com/files/banners/minecraft_banner_18d1g881yg5831c.png");
			discord.setContent(e.getDeathMessage());
			try {
				discord.execute();
			} catch(Exception ex){
				ex.printStackTrace();
			}
		}
	}
}
